package htmlstream; //experimental

/**
 *   To activate various types of debugging prints
 *   @author Andrea Trentini, Daniela Micucci
 */
public class Debug {
    /** exceptions */
    public final static boolean EXCEP = true;
    public final static boolean DEEP_EX = true;

    /** System.out... (generic) */
    public final static boolean PRINT = true;
    public final static boolean DEEP = false;

    /** System.out... (loop counters) */
    public final static boolean LOOP = false;

    /** HTML generation */
    public final static boolean HTML = false;

    /** exceptions */
    public static void px(Throwable t) {
        if (EXCEP)
            if (DEEP_EX) t.printStackTrace();
            else
                System.err.println(t);
    }
}
